attribute vec3 vn;
attribute vec2 vt;
varying vec3 eye;
varying vec3 normal;
varying vec2 texC;
uniform float anim;
uniform float powah;
void main()
{
vec4 modVert = gl_Vertex;
float fromCenter = length(modVert.xyz)*(0.6 + powah*0.1);
float pang = sin(anim*0.2 + modVert.y*0.2*powah + cos(anim*0.2 + modVert.x*0.2*powah) - modVert.z*0.2 + 1.432);
pang = pang *fromCenter*2.5 + fromCenter*2.5;
modVert.xyz+=pang*vn;
modVert.x+=sin(anim*0.2 + modVert.y*0.2*powah)*fromCenter*vn.x*0.1 + fromCenter*vn.x*0.1;
modVert.y+=cos(anim*0.12 + modVert.x*0.122)*fromCenter*vn.z*0.1 + fromCenter*vn.y*0.1;
modVert.z+=sin(anim*0.223 + modVert.z*0.2 + 1.432)*fromCenter*vn.y*0.1 + fromCenter*vn.z*0.1;
gl_Position = gl_ModelViewProjectionMatrix * modVert;
eye = (gl_ModelViewMatrix * modVert).xyz;
normal = gl_NormalMatrix*vn;
texC = vt;
}